Leads
List leads
Requires the leads:read scope. Redacted posts return null text, and reply drafts are never included.
Requires the leads:read scope. Redacted posts return null text, and reply drafts are never included.
Authorization
bearerAuth AuthorizationBearer <token>
Use a token created in Settings → API access.
In: header
Path Parameters
projectId*string
Project ID returned by GET /projects.
Query Parameters
siteId?string
Filter results to one website.
search?string
Length
length <= 200page?integer
Range
1 <= valueDefault
1limit?integer
Range
1 <= value <= 100Default
25view?string
Default
"quality"Value in
- "quality"
- "all"
- "archived"
stage?string
Value in
- "to_qualify"
- "to_contact"
- "in_conversation"
- "closed"
tier?string
Value in
- "hot"
- "warm"
- "explore"
leadType?string
Value in
- "competitor"
- "describes_problem"
- "looking_for_solution"
- "other"
platform?string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/projects/string/leads"{ "ok": true, "data": { "data": [ { "id": "string", "siteId": "string", "platform": "string", "sourceContainer": "string", "kind": "string", "title": "string", "body": "string", "authorHandle": "string", "permalink": "http://example.com", "score": 0, "tier": "hot", "leadType": "string", "sentiment": "string", "evidenceQuote": "string", "reason": "string", "stage": "to_qualify", "feedback": "up", "dismissed": true, "postedAt": "2019-08-24T14:15:22Z", "firstSeenAt": "2019-08-24T14:15:22Z", "redacted": true } ], "pagination": { "page": 0, "limit": 0, "total": 0, "hasMore": true } }}